/// <reference types="react" />
import React from 'react';
import PopupProps from './PropsType';
export default class Popup extends React.Component<PopupProps, any> {
    constructor(props: any);
    componentWillMount(): void;
    componentWillUnmount(): void;
    hide(): void;
    onMaskClose: () => void;
    render(): JSX.Element;
}
